<?xml version="1.0" ?>
<!-- Configuration of the Ant build system to generate a Jar file -->
<project name="Ultima_SDK_JavaDemo" default="buildJDemo">
	<target name="Jar" description="Create Jar file">
		<delete file="${ant.project.name}.jar" verbose="true"/>

		<tstamp>
			<format property="TODAY" pattern="dd-MM-yyyy HH:mm:ss" />
		</tstamp>

		<jar destfile="${ant.project.name}.jar" filesetmanifest="mergewithoutmain">
			<manifest>
				<attribute name="Implementation-Vendor" value="Magicard Ltd."/>
				<attribute name="Built-Date" value="${TODAY}"/>
				<attribute name="Built-By" value="${user.name}"/>
				<attribute name="Main-Class" value="UltimaDemo.JDemoMain"/>
			</manifest>
			<fileset dir="bin"/>
			<zipfileset excludes="META-INF/*.SF" src="lib/forms-1.3.0.jar"/>
			<zipfileset excludes="META-INF/*.SF" src="lib/jna-4.0.0.jar"/>
			<zipfileset excludes="META-INF/*.SF" src="lib/jna-platform-4.1.0.jar"/>
			<zipfileset excludes="META-INF/*.SF" src="lib/miglayout15-swing.jar"/>
			<fileset dir="../SDK_JavaShim/trunk/bin"/>
			<zipfileset excludes="META-INF/*.SF" src="../SDK_JavaShim/trunk/SDK_JShim.jar"/>
		</jar>
	</target>

	<target name="buildJDemo" depends="Jar" />
</project>